While installing oes11sp1-September-2013-Scheduled-Maintenance I got a
checksum error:

Retrieving: novell-sms-interface-
libs-1.1.10- [done]
Digest verification failed for novell-sms-interface-
libs-1.1.10- Expected
3dbe5ca102375fd1806859954f3d6dad7bb475ce, found
96790a8d97189fdb32c65dbaf863c2dc4f8a6f06. Continue? [yes/no] (no):
[nu_novell_com:OES11-SP1-Updates|https://nu.novell.com/repo/$RCE/OES11-SP1-Updates/sle-11-x86_64?credentials=NCCcredentials] Can't provide file
'./rpm/x86_64/novell-sms-interface-libs-1.1.10-' from repository
- novell-sms-interface-libs-1.1.10-
has wrong checksum

Retrieving: novell-sms-interface-libs-1.1.10- [done]

I'm not sure what this means: is this just a download problem or is it a
potential security problem, someone might manipulated the file?

Do I read the lines obove correctly: Because I replied "no" to "Continue"
the delta-rpm was not used, but the full rpm was retrieved and installed
instead? So nothing should be missing on the system?